CREATE TABLE atc_metering_rules (
    METERING_RULE_ID             NUMBER(18, 0) ,
    METERING_RULE_PUID           VARCHAR2(120)     NOT NULL,
    METERING_RULE_NAME           VARCHAR2(800)     NOT NULL,
    METERING_RULE_DESCRIPTION    VARCHAR2(4000),
    ROUNDING_METHOD_CODE         VARCHAR2(800) ,
    UNIT_OF_MEASURE              VARCHAR2(800) ,
    METERING_EXPR_CODE           VARCHAR2(4000),
    USAGE_SPEC_ID                NUMBER(18, 0)     NOT NULL,
    START_DATE_TIME              TIMESTAMP(6)  ,
    END_DATE_TIME                TIMESTAMP(6)  ,
    AT_TYPE                      VARCHAR2(800) ,
    AT_BASE_TYPE                 VARCHAR2(800) ,
    AT_SCHEMA_LOCATION           VARCHAR2(4000),
    ACTIVE_FLAG                  VARCHAR2(4)   ,
    ENTITY_NAME                  VARCHAR2(800)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    TRIGGER_CONDITION_OP_CODE    VARCHAR2(800) ,
    TRIGGER_CONDITION_VALUE      VARCHAR2(4000),
    METERING_RULE_ID             NUMBER(18, 0) ,
    METERING_RULE_PUID           VARCHAR2(120)     NOT NULL,
    METERING_RULE_NAME           VARCHAR2(800)     NOT NULL,
    METERING_RULE_DESCRIPTION    VARCHAR2(4000),
    ROUNDING_METHOD_CODE         VARCHAR2(800) ,
    UNIT_OF_MEASURE              VARCHAR2(800) ,
    METERING_EXPR_CODE           VARCHAR2(4000),
    USAGE_SPEC_ID                NUMBER(18, 0)     NOT NULL,
    START_DATE_TIME              TIMESTAMP(6)  ,
    END_DATE_TIME                TIMESTAMP(6)  ,
    AT_TYPE                      VARCHAR2(800) ,
    AT_BASE_TYPE                 VARCHAR2(800) ,
    AT_SCHEMA_LOCATION           VARCHAR2(4000),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    ACTIVE_FLAG                  VARCHAR2(4)   ,
    ENTITY_NAME                  VARCHAR2(800)     NOT NULL,
    TRIGGER_CONDITION_OP_CODE    VARCHAR2(800) ,
    TRIGGER_CONDITION_VALUE      VARCHAR2(4000),
    CONSTRAINT pk_atc_metering_rules PRIMARY KEY (METERING_RULE_ID, METERING_RULE_ID)
);
